Bug 123354 - combining yum and scheduled actions causes an infinite loop
combining yum and scheduled actions causes an infinite loop
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Bret McMillan
Red Hat Satellite QA List
:
Depends On:
Blocks: 191074 191079
  Show dependency treegraph
 
Reported: 2004-05-17 12:15 EDT by Chris MacLeod
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:26:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris MacLeod 2004-05-17 12:15:48 EDT
Description of problem:

I have an AS3 box that also has a sources file that describes a yum
repo for additional packages.  If I schedule a profile sync that
included additing additional packages from another channel (not the
yum repo) rhn_check hangs when trying to complete the scheduled action.

Removing the yum repo from the sources file eliminates the problem.

Version-Release number of selected component (if applicable):

up2date-4.2.14-1

How reproducible:

everytime

Steps to Reproduce:
1. build an box subscribe to some channels
2. add a yum repo to the sources file
3. schedule an action to sync profiles with another box that involves
adding additional packages
  
Actual results:

rhn_check hangs


Expected results:

packages should be installed (it's fine if the yum repo is ignored)
Additional info:
Comment 1 Adrian Likins 2004-09-02 11:57:57 EDT
For bugs against released products, please file against the
approriate release and component for the dist. Aka, this
bug would be against the up2date component of RHEL3.
Comment 4 Fanny Augustin 2006-04-10 20:38:57 EDT
Blocking rhnupr4u4 and rhnupr3u8 to track the progress of the release
Comment 5 Fanny Augustin 2006-04-13 15:48:06 EDT
Moving bugs to the CanFix List
Comment 7 Fanny Augustin 2006-05-08 15:28:30 EDT
This bug did not make the code freeze and it will not be fiixed during this
release cycle.  Re-aligning bug to the next release
Comment 8 Fanny Augustin 2006-05-08 16:09:12 EDT
This bug did not make the code freeze.  It will not be fixed in this releasee 
Reea ligning to the next one.
Comment 9 RHEL Product and Program Management 2007-10-19 15:26:23 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.